transformers-0.3.0.0: Concrete functor and monad transformers

Portability | portable
Stability | experimental
Maintainer | ross@soi.city.ac.uk
Safe Haskell | Safe-Inferred

Data.Functor.Product

Description

Products, lifted to functors.

Synopsis

- data Product f g a = Pair (f a) (g a)

# Documentation

data Product f g a Source

Lifted product of functors.

Constructors

Pair (f a) (g a) |

Instances

(Monad f, Monad g) => Monad (Product f g) |
(Functor f, Functor g) => Functor (Product f g) |
(MonadFix f, MonadFix g) => MonadFix (Product f g) |
(MonadPlus f, MonadPlus g) => MonadPlus (Product f g) |
(Applicative f, Applicative g) => Applicative (Product f g) |
(Foldable f, Foldable g) => Foldable (Product f g) |
(Traversable f, Traversable g) => Traversable (Product f g) |
(Alternative f, Alternative g) => Alternative (Product f g) |